/* Search Inputs */
/* some property assined from signClass.css, for this spicaly new class searchContent */

:root {
    /* --main-color: #7e9eb0 */
    /* --second-color: #36A6DE; */
    --main-color: #21739d;
    --dark-color:#0a222f;
    --light-color:#bcd5e2;
    --main-red-color: #9d2121;
    --light-red-color:#e2bcbc;
    /*  */
    --first-color:#21739d;
    --second-color:#33b1f2;
    --third-color:#0f3548;

}
html{
    scroll-behavior: smooth;
}
.searchContent {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    /* box-shadow: none; */
    margin: auto 20px;
    margin-top: 100px;
    gap: 14px;
    background-color: #eee;
    padding: 20px;
    

}

.searchContent input {
    border-radius: 30px;
    padding: 10px 20px;
    font-size: 20px;
    width: 30%;
    border: 0.5px solid #888;
    outline: none;
    background-color: #fff;
    transition: box-shadow .3s;
    /* white-space: pre-wrap; */
}
.searchContent input:focus,.searchContent input:hover{
    box-shadow: 0 0 5px var(--main-color);
}
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    display: none;

}
/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}



.searchContent .searchButton {
    padding: 10px 20px;
    font-size: 20px;
    font-weight: 500;
    border-radius: 50px;
    border: none;
    color: #eee;
    background-color: var(--main-color);
    border: var(--main-color) 0.5px solid;
    cursor: pointer;
    margin-bottom: 10px;
    opacity: .7;
    pointer-events: none;

    
}

.searchContent .searchButton:hover {
    color: var(--main-color);
    background-color: #eee;

}
.searchContent .searchButton.work{
    opacity: 1;
    pointer-events: fill;
}

.searchContent hr{
    width: 90%;
    height: 2px;
    margin: 0;
}
/* Global Class */
.divsnumClass{
    width: 30%;
    position: relative;
}
.divsnumClass input[type="text"]{
    width: 100%;
}
.divsnumClass.notActive input[type="text"]{
    background-color: #eee;
    pointer-events: none;
}

.divsnumClass .globalClass{
    
    position: absolute;
    top: 50%;
    left: 15%;
    transform: translate(-50%,-50%);

    height: 60%;
    color: #333;
    /* color: var(--main-color); */
    font-size: 15px;
    display: none;
    transition: .3s;
    
}
.divsnumClass:hover .globalClass{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
}
.divsnumClass.notActive .globalClass{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
}
.divsnumClass .globalClass input[type="checkbox"]{
    display: none;
}
.divsnumClass .globalClass input + label{
    cursor: pointer;
    padding: 5px;
}
.divsnumClass .globalClass input + label i{
    border-radius: 5px;
    border: 1px solid #333;
    color: #fff;
}
.divsnumClass .globalClass input:checked + label{
    background-color: var(--main-color);
    border-radius: 20px;
    color: #fff;
}
.divsnumClass .globalClass  input:checked + label i{
    border: none;
}



/* Results */
.results {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 5px;
    padding: 10px;
    height: 100%;
    background-color: #333;
    margin-bottom: 100px;


}

.results .result {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    width: 100%;
    color: #eee;

    border-radius: 5px;
    padding: 15px 0;
    font-size: 20px;
    position: relative;
    transition: .3s;
    background-color: #333;
    cursor: pointer;
   


}

.results .result:hover {
    font-size: 30px;
    scale: 1.1;
    box-shadow: #888 0 0 10px;

}
.results .result:hover span{
    background-color: var(--main-color);
    /* scale:1.1; */
    top: 30px;
}
.results .result:hover span:nth-of-type(2){
    top: 30px;
}


.results .result div {
    margin: 5px;
    z-index: 5;
}

.results .result .label1,
.results .result .label2 {
    color: #aaa;

}

.results .result .label2 {
    margin-right: 50px;
}

.results .result span{
    position: absolute;
    top: 25px;
    left: 45px;
    width: 15px;
    height: 15px;
    background-color: #fff;
    transform: rotate(45deg);
    transition: .3s;
    z-index: 1;

}
.results .result span:nth-of-type(2){
    content: '';
    position: absolute;
    top: 25px;
    left: 50px;
    width: 15px;
    height: 15px;
    background-color: #333;
    transform: rotate(45deg);
    transition: .3s;
}
.results hr {
    width: 90%;
    color: #fff;
    display: block;
    bottom: 0;
}

.results .last-of-type hr {
    display: none;
}
.welcomMessage{
    color:#eee;cursor:auto;
}
.results .notFoundMessage{
    color:#eee;cursor:auto;
}

/* lockIcon */
.lockIcon{
    font-size: 15px;
    color: #fff;
    padding: 10px 0;
}

/* Show Information  */
.ShowInformation {
    position: fixed;
    display: none;
    justify-content: center;
    align-items: center;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    background-color: rgba(0, 0, 0, 0.7);
}
.ShowInformation.show{
    display: flex;
}

.ShowInformation .informationBox {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    position: relative;
    margin: 0 10px;
    background-color: #fff;
    border-radius: 10px;
    color: #333;
    font-weight: 700;
    padding: 40px;
    padding-top: 60px;
    min-width: 280px;
    transition: .3s;
    border: 3px solid rgb(74,74,74);
}
.ShowInformation.show .informationBox{
    -webkit-animation: 0.2s downInformation linear;
    animation: 0.2s downInformation linear;

}
.ShowInformation .informationBox::after {
    content: '';
    position: absolute;
    bottom: -10px;
    left: -10px;
    z-index: -1;
    border-radius: 5px;
    width: 20%;
    height: 10%;
    background: linear-gradient(200deg,var(--first-color),var(--second-color), var(--third-color));
    border-bottom-left-radius:10px ;

}

.ShowInformation .informationBox::before {
    content: '';
    position: absolute;
    top: -10px;
    right: -10px;
    z-index: -1;
    border-radius: 5px;
    width: 20%;
    height: 10%;
    background: linear-gradient(200deg,var(--first-color),var(--second-color), var(--third-color));
    border-top-right-radius:10px ;
}



.ShowInformation .informationBox li.close {
    position: absolute;
    left: 0;
    top: 0;
    border: 1px solid #fff;
    list-style: none;
    padding: 10px;
    border-radius: 50px;
    margin: 10px;
    cursor: pointer;
}
.ShowInformation .informationBox li.close:hover{
    color: #555;
}

/* Gender Radio View */
.genderRadio{
    display: flex;
    justify-content: right;
    align-items: center;
    flex-direction: row;
    gap: 10px;
    position: absolute;
    top: 20px;
    right: 20px;
    width: 70%;
    margin-bottom: 20px;
}
.genderRadio input[type="radio"]{
    display: none;
}
.genderRadio input[type="radio"] + label{
    opacity: .7;
    cursor: pointer;
    border-bottom: 1px solid #ddd;
    padding: 5px;
}
.genderRadio input[type="radio"]:checked + label{
    opacity: 1;
    border-bottom: 2px solid var(--main-color);
}
.ShowInformation .informationBox div.smallBox {
    width: 100%;
    font-size: 20px;
    margin: 10px 0;
    border-bottom: 1px solid #ddd;
}
.ShowInformation .informationBox div.smallBox.gUrl{
    overflow: hidden;
} 

.ShowInformation .informationBox div.smallBox div {
    display: inline-block;
}
.ShowInformation .informationBox div.smallBox div.iname {
    color: #888;
}

.idescription {
    max-height: 150px;
    max-width: 90%;
    overflow-y: auto;
    overflow-x: hidden;
}

.ShowInformation .informationBox div.smallBox a.iurl {
    /* color: #fff; */
    color: var(--second-color);
    cursor: pointer;


}
.ShowInformation .informationBox div.smallBox.bottom{
    position: absolute;
    bottom: 0;
    right: 0;
    border-bottom: none;
    display: flex;
    justify-content: space-between;
    align-items:end;
    padding: 0 10px;
    font-size: 15px;
    
}
.ShowInformation .informationBox div.smallBox .idate{
    color: #888;
}
.ShowInformation .informationBox div.smallBox .left button{
    background-color: transparent;
    border: none;
    color: #333;
    font-size: 30px;
    font-weight: 900;
    cursor: pointer;
    line-height: 1.5;
    padding-left: 15px;
}

.ShowInformation .informationBox div.smallBox .left ul{
    list-style: none;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 0 5px #888;
    /* padding: 0 30px; */
    display: none;
}
.ShowInformation .informationBox div.smallBox .left ul.show{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: absolute;
    /* width: 100%; */
    transform: translateY(10%);
    transform: translateX(-10%);
    /* bottom: -80px; */
    left: 0;
    overflow: hidden;
}
 div.smallBox .left ul li{
    border-bottom: 2px solid #ddd;
    width: 100%;
    padding: 10px 30px;
    cursor: pointer;
}
 div.smallBox .left ul li i{
    /* background-color: #ddd; */
    padding: 5px;
    border-radius: 8px;
}
 div.smallBox .left ul li:last-of-type{
    border: none;
}
 div.smallBox .left ul li:hover{
    /* background-color: #ddd; */
    background-color: var(--light-color);
    color: var(--main-color);
}

div.smallBox .left ul li i{
    background-color: #ddd;
}
div.smallBox .left ul li.abort:hover{
    background-color: var(--light-red-color);
    color: var(--main-red-color);
}
div.smallBox .left ul li:hover i{
    background-color: white;
}
.term{
    color: rgb(199, 204, 250);
    /* background-color: white; */
    padding: 5px;
    /* padding-bottom: 20px; */
    /* margin: 5px; */
    margin-top: 10px;
    border-radius: 5px;
    font-weight: 700;
    /* width: 100%;
    text-align: right; */
}
/* Arrow */
.arrowUp {
    /* display: none; */
    position: fixed;
    bottom: 10px;
    right: 10px;
    background-color: var(--main-color);
    color: #eee;
    padding: 10px;
    border-radius: 100%;
    transform: translateY(-50%);
    /* cursor: pointer; */
    transition: .3s;
    pointer-events: none;
    opacity: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;

}
.arrowUp.show{
    opacity: .9;
    /* display: inline-block; */
    transform: translateY(0);
    pointer-events: fill;
    text-decoration: none;
}

.arrowUp i {
    color: #eee;
    font-size: 20px;
}

.arrowUp a {
    width: 100%;
    height: 100%;

}

.arrowUp:hover {
    background-color: #eee;
    border: 1px solid var(--main-color);
    opacity: 1;
}

.arrowUp:hover i {
    color: var(--main-color);
}

/* Looding */
/* from https://codepen.io/MOHAMMED_ALSIDDIG/pen/JjvBeKw  with some changes :)*/
.looding.show{
    display:flex ;
}
.loader-body {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100px;
    height: 100px;
    border-radius: 300px;
    position: relative;
    border: 1px solid rgb(34, 33, 33);
    background-color: rgb(34, 33, 33);
    box-shadow: 1px 1px 25px 1px var(--main-color);
}

.loader-title {
    color: var(--main-color);
    font-size: 25px;
    letter-spacing: 10px;
    text-transform: uppercase;
    opacity: 0.8;
    -webkit-animation: 5s title-anim linear infinite;
    animation: 5s title-anim linear infinite;
}

.loader-arrow {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    transform: rotate(0deg);
    opacity: 0.5;
    -webkit-animation: 5s rotae-arrow linear infinite;
    animation: 5s rotae-arrow linear infinite;
}

.loader-arrow::before {
    content: "";
    position: absolute;
    width: 25px;
    height: 20px;
    top: -10.4px;
    left: 50%;
    transform: rotateX(-50%);
    background-color: var(--main-color);
    -webkit-clip-path: polygon(0% 0%, 100% 45%, 0% 98%, 24% 49%);
    clip-path: polygon(0% 0%, 100% 45%, 0% 98%, 24% 49%);
}


.looding {
    display: flex;
    display: none;
    justify-content: center;
    align-items: center;
    position: absolute;
    /* position: fixed; */
    right: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 10;

    background-color: #333;
    /* cursor: auto; */
    -webkit-animation-name: looding;
    animation-name: looding;
    -webkit-animation-duration: 2s;
    animation-duration: 2s;
}


@keyframes title-anim {
    0% {
        letter-spacing: 3px;
    }

    50% {
        letter-spacing: 1px;
    }

    100% {
        letter-spacing: 3px;
    }
}

@keyframes rotae-arrow {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes downInformation {
    from {
        top: -10px;
    }

    to {
        top: 0;
    }
}

@media screen and (max-width:500px) {


    .searchContent {
        flex-direction: column;
    }

    .searchContent input {
        width: 100%;
    }
    .searchContent .divsnumClass{
        width: 100%;
    }
    .results{
        background-color: transparent;
        background-color: #fff;
    }

    .results .result {
        width: 100%;
        flex-direction:unset;
        padding: 10px;
        
    }

    .results .result:hover {
        color: var(--second-color);
        font-size: 20px;
    }

    .results hr{
        display: none;
    }
    .results .result div {
        margin: 2px;
        
    }

    .results .result .label2 {
        /* color: #21739d; */
        margin-right: 10px;
        /* width: 100%; */
    }

    .ShowInformation .informationBox div.smallBox .idescription {
        font-size: 12px;

    }
    .results .result span{
        display: none;
        left: -17px;
       
    }
    .results .result span:nth-of-type(2){
        left: -14px;
    }
    .results .result:hover span{
        display: none;
    }
    .results .welcomMessage{
        color: #333;
    }
    .results .notFoundMessage{
        color: #333;
    }
    .lockIcon{
        color: #333;
    }
    .term{
        color: var(--main-color);
    }

}
